<section id="programEdition">
    <div class="container-fluid containerMargin">
      <div class="row">
        <div class="col-md-12 col-sm-12">
          <h2 class="h2-header">
          	<button type="button" class="btn btn-default actionButton" style="margin-right: 15px;" ng-click="goToHome()">
              <span class="glyphicon glyphicon-chevron-left button-icon" aria-hidden="true"></span>
              Prev
            </button>
            {{::title}}
            <button type="button" class="btn btn-default actionButton" ng-click="saveProgram()"
                    ng-disabled="!(trainingProgram.exercises.length > 0) || programForm.$invalid" style="float: right;">
              <span class="glyphicon glyphicon-save button-icon" aria-hidden="true"></span>
              Save Program
            </button>
          </h2>
        </div> <!-- /col -->
      </div> <!-- /row-->
      <div class="row">
        <div class="col-md-6 col-sm-6">
          <div class="row"> <!-- nested row -->
            <div class="col-md-12 col-sm-12"> <!-- nested col -->
              <div class="row"> <!-- nested row -->
                <div class="col-md-12 col-sm-12"> <!-- nested col -->
                  <label>Estimated Time: {{trainingProgram.totalTime || 0 | secondsToDateTime | date:'HH:mm:ss'}}</label>  
                </div> <!-- /nested col -->
              </div> <!-- /nested row-->
              <div class="row"> <!-- nested row -->
                <div class="col-md-1 col-sm-2"> <!-- nested col -->
                  <label>Types:</label>
                </div> <!-- /nested col -->
                <div class="col-md-11 col-sm-10"> <!-- nested col -->
                  <span class="typeLabel type-{{type.id}}"  ng-if="type.qty > 0" style="margin-bottom: 5px;" ng-repeat="type in trainingProgram.types">
                    {{type.id}} <span class="badge">{{type.qty}}</span>
                  </span>  
                </div> <!-- /nested col -->
              </div> <!-- /nested row-->
            </div> <!-- nested col -->
          </div> <!-- /nested row -->
          <div class="row"> <!-- nested row -->
            <div class="col-md-12 col-sm-12"> <!-- nested col -->
              <label>Program Details:</label>
              <span class="glyphicon glyphicon-info-sign button-icon" aria-hidden="true"
                    tooltip-placement="top" uib-tooltip="You can drag and drop the exercises in the program list to change the order. Double-click to edit them.">
              </span>
              <ul id="programList" dnd-list dnd-drop="dropCallback(trainingProgram, item, index)" class="list-group programListSmall" style="min-height: 300px;">
                <li class="list-group-item type-{{exercise.type}} exerciseListItem"
                    ng-repeat="exercise in trainingProgram.exercises"
                    dnd-draggable="getSelectedItemsIncluding(exercise, trainingProgram)"
                    dnd-dragstart="dragStartCallback()"
                    dnd-moved="moveCallback(trainingProgram)"
                    dnd-dragend="dragEndCallback()"
                    dnd-selected="selectUnselectExercise(exercise)"
                    ng-hide="currenltyDragging && exercise.selected"
                    id="exercise_{{$index}}"
                    ng-dblclick="editExercise($event, exercise.id,exercise.time,exercise.description,exercise.type, $index)"
                    >
                  <h4 class="list-group-item-heading">{{exercise.id}} 
                    <span class="glyphicon glyphicon-check checkedIcon" aria-hidden="true" ng-show="exercise.selected"></span>
                    <span class="glyphicon glyphicon-pencil editedIcon" aria-hidden="true" ng-show="updateIndex == $index"></span>
                    <span style="float:right;">{{exercise.time | secondsToDateTime | date:'mm:ss'}}</span>
                  </h4>
                  <p class="list-group-item-text descriptionTextBox">{{exercise.description}}</p>
                </li>
              </ul>
            </div> <!-- nested col -->
          </div> <!-- /nested row -->
        </div> <!-- /col -->
        <div class="col-md-6 col-sm-6">
          <form class="form-horizontal" name="programForm">
            <div class="form-group">
              <label class="col-md-4 col-sm-6 control-label">Program Name*:</label>
              <div class="col-md-8 col-sm-6"> <!-- nested col -->
                <input name="programName" type="text" class="form-control" placeholder="ex: Program1" ng-model="trainingProgram.name" required>
              </div> <!-- / nested col -->
            </div>
            <div class="form-group">
              <label class="col-md-4 col-sm-6 control-label">Description:</label>
              <div class="col-md-8 col-sm-6"> <!-- nested col -->
                <textarea name="programDescription" class="form-control" rows="3" ng-model="trainingProgram.description"></textarea>
              </div> <!-- nested col -->
            </div>
          </form>
          <div class="row"> <!-- nested row -->
            <div class="col-md-12 col-sm-12"> <!-- nested col -->
              <h3><center>Add Exercise</center></h3>
            </div> <!-- / nested col -->
          </div> <!-- / nested row-->
          <form class="form-horizontal" name="addExerciseForm">
            <div class="form-group">
              <label class="col-md-4 col-sm-6 control-label">Exercice Name*:</label>
              <div class="col-md-8 col-sm-6"> <!-- nested col -->
                <input name="id" type="text" class="form-control" placeholder="ex: Abdos Crunch" ng-model="addedExercise.id" required>
              </div> <!-- / nested col -->
            </div>
            <div class="form-group">
              <label class="col-md-4 col-sm-6 control-label">Duration (s)*:</label>
              <div class="col-md-8 col-sm-6"> <!-- nested col -->
                <input name="time" type="number" min="1" max="3599" class="form-control" ng-class="{'errorInput':!(addedExercise.time > 0)}" ng-model="addedExercise.time" required>
              </div> <!-- / nested col -->
            </div>
            <div class="form-group">
              <label class="col-md-4 col-sm-6 control-label">Type*:</label>
              <div class="col-md-8 col-sm-6"> <!-- nested col -->
                <select name="type" class="form-control" ng-model="addedExercise.type" required>
                  <option ng-repeat="type in exerciseType">{{type}}</option>
                </select>
              </div> <!-- nested col -->
            </div>
            <div class="form-group">
              <label class="col-md-4 col-sm-6 control-label">Description:</label>
              <div class="col-md-8 col-sm-6"> <!-- nested col -->
                <textarea name="description" class="form-control" rows="3" ng-model="addedExercise.description"></textarea>
              </div> <!-- nested col -->
            </div>
          </form>
          <div class="row"> <!-- nested row -->
            <div class="col-md-12 col-sm-12"> <!-- nested col -->
              <button type="button" class="btn btn-default actionButton alignRight" ng-click="cancelAddOrUpdate()">
                <span class="glyphicon glyphicon-ban-circle button-icon" aria-hidden="true"></span>
                Cancel
              </button>
              <button type="button" class="btn btn-default actionButton alignRight" ng-click="addExercise()" ng-disabled="addExerciseForm.$invalid">
                <span class="glyphicon glyphicon-plus button-icon" aria-hidden="true"></span>
                Add
              </button>
              <button type="button" class="btn btn-default actionButton alignRight" ng-click="updateExercise()" ng-disabled="addExerciseForm.$invalid" ng-show="showUpdateBtn">
                <span class="glyphicon glyphicon-upload button-icon" aria-hidden="true"></span>
                Update
              </button>
            </div> <!-- / nested col -->
          </div> <!-- / nested row-->
          <div class="row" style="margin-top: 5px;"> <!-- nested row -->
            <div class="col-md-12 col-sm-12"> <!-- nested col -->
              <button type="button" class="btn btn-default actionButton alignRight" ng-click="duplicateExercises()" ng-disabled="countSelected() == 0">
                <span class="glyphicon glyphicon-duplicate button-icon" aria-hidden="true"></span>
                Duplicate
              </button>
              <button type="button" class="btn btn-default actionButton alignRight" ng-click="selectAllExercises()">
                <span class="glyphicon glyphicon-check button-icon" aria-hidden="true"></span>
                Select All
              </button>
            </div> <!-- / nested col -->
          </div> <!-- / nested row-->
          <div class="row"> <!-- nested row -->
          <div class="col-md-12 col-sm-12">
            <!-- trashcan -->
            <ul dnd-list="[]" id="trashList" class="list-group" ng-show="showTrashCan"
                style="margin-top: 10px; margin-bottom: 10px;">
                <li style="list-style: none;">
                  <center>
                    <div class="trashCan actionButton">
                      <span class="glyphicon glyphicon-trash button-icon" aria-hidden="true"></span>
                      Delete Exercise
                    </div>
                  </center>
                </li>
            </ul>
          </div>
          </div>
        </div> <!-- /col -->
      </div> <!-- /row-->
    </div> <!-- container -->
</section>